# Copy an account-level template version

Copies an existing version of an account-level template into a new version with the provided name.

Endpoint: PUT /v4/templates/{template_name}/versions/{version_name}/copy/{new_version_name}
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `template_name` (string, required)
    Template name the version is stored under.

  - `version_name` (string, required)
    Tag of the version to copy.

  - `new_version_name` (string, required)
    The name for the new version. If the version name already exists, the copy will fail.

## Query parameters:

  - `comment` (string)
    Comment to be used for the new version.

## Response 200 fields (application/json):

  - `message` (string, required)
    Response message

  - `version` (any, required)
    Created version details

  - `version.tag` (string, required)
    Tag of the version. Must be unique to the template

  - `version.template` (string)
    Template content

  - `version.engine` (string, required)
    Rendering engine

  - `version.mjml` (string, required)
    Template source

  - `version.createdAt` (string, required)
    Creation date in RFC822 format

  - `version.comment` (string, required)
    Comment related to the version

  - `version.active` (boolean, required)
    If this flag is true

  - `version.id` (string, required)
    Template ID

  - `template` (any, required)
    Deprecated: Use 'version' field

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message

## Response 401 fields (application/json):

  - `message` (string, required)
    Response message

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message

## Response 500 fields (application/json):

  - `message` (string, required)
    Response message

